body{
     font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
      margin: 0;
      padding: 0;
      background: linear-gradient(135deg, #d10b0b, #feb47b); 
      color: #010101;
      transition: background 0.5s ease;
      overflow-x: hidden;
}

#title{
      background-color: rgba(0, 0, 0, 0.6);
      color: #fff;
      padding: 2px;
      text-align: center;
      animation: header 2s infinite alternate;;
}
#title h1{
      font-size: 2.5rem;
      margin-bottom: 2px;
}
#title h4{
  font-size: 1.1rem;
}
.container{
  display: grid;
  grid-template-columns: repeat(auto, minmax(10px, 1fr));
  gap: 25px;
  padding: 30px;
  max-width: 1200px;
  margin: auto;
}
.card{
  background: rgba(255,255,255,0.9);
  padding: 25px;
  border-radius: 10px;
  box-shadow: 0 8px 20px rgba(0,0,0,0.2);
  transition: transform 0.3s ease, box-shadow 0.3s ease, background 0.3s ease;
  position: relative;
  overflow: hidden;
}

#abt{
  font-size: 2rem;
}

.card img{
    width: 350px;
    border-radius: 15px;
    margin-bottom: 15px;
    height: 280px;
}
.card #text1{
  display: flex;
  flex-direction: row;
  gap: 20px;
  font-size: 1.5rem;
  justify-content: center;
}

    h2 {
      margin-bottom: 15px;
      color: #c8102e;
    }

    p{
      margin-bottom: 8px;
      font-weight: bold;
      font-size: 1.1rem;
    }
    footer {
      background-color: rgba(0,0,0,0.8);
      color: #fff;
      padding: 20px;
      text-align: center;
      font-size: 0.95rem;
      transition: transform 0.3s ease;
    }
    
    .card:hover {
      transform: translateY(-2px) scale(1.01);
      box-shadow: 0 15px 30px rgba(0,0,0,0.3);
      background: rgba(255,255,255,1);
    }
    footer:hover{
      transform: translateY(2px) scale(1.01);
      box-shadow: 0 15px 30px rgba(0,0,0,0.3);
    }

    @keyframes header{
      0% { transform: scale(1); }
      100% { transform: scale(1.05); }
    }

        @media (max-width: 700px) {
      header h1 {
        font-size: 2rem; 
      }

      .container {
        grid-template-columns: 1fr;
        padding: 15px;
      }

      .card {
        padding: 20px;
      }
    }

@media (max-width: 1040px) {
  .card #text1 {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: 1rem;
  }

  .card img {
    width: 100%;       
    max-width: 250px;  
    height: auto;
  }
}